Loading...
Searching...
No Matches
seqan3::cigar_printer< cigar > Struct Reference
Alphabet » CIGAR

The printer used for formatted output of the cigar alphabets. More...

`#include <seqan3/alphabet/cigar/cigar.hpp>`

Inheritance diagram for seqan3::cigar_printer< cigar >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, cigar const arg) const noexcept
| Prints the formatted output of the cigar symbol to the stream.

## Detailed Description

The printer used for formatted output of the cigar alphabets.

The type of the printer must be a seqan3::cigar type.

## Member Function Documentation

## operator()()

template<typename stream_t>

void seqan3::cigar_printer< cigar >::operator() | ( | stream_t & | stream,
|  | cigar const | arg ) const

inline constexpr noexcept

Prints the formatted output of the cigar symbol to the stream.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The cigar symbol to print.

The documentation for this struct was generated from the following file:

- alphabet/cigar/cigar.hpp

Hide me